> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetches a list of :ref:`ref_flyteidl.admin.Project`

> Fetch registered projects.



## OpenAPI

````yaml /api-specs/cloud/flyte-native-api.yaml get /api/v1/projects
openapi: 3.0.0
info:
  title: flyteidl/service/admin.proto
  version: version not set
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: AdminService
paths:
  /api/v1/projects:
    get:
      tags:
        - AdminService
      summary: Fetches a list of :ref:`ref_flyteidl.admin.Project`
      description: Fetch registered projects.
      operationId: AdminService_ListProjects
      parameters:
        - name: limit
          description: |-
            Indicates the number of projects to be returned.
            +required
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: token
          description: >-
            In the case of multiple pages of results, this server-provided token
            can be used to fetch the next page

            in a query.

            +optional
          in: query
          required: false
          schema:
            type: string
        - name: filters
          description: |-
            Indicates a list of filters passed as string.
            More info on constructing filters : <Link>
            +optional
          in: query
          required: false
          schema:
            type: string
        - name: sort_by.key
          description: |-
            Indicates an attribute to sort the response values.
            +required
          in: query
          required: false
          schema:
            type: string
        - name: sort_by.direction
          description: |-
            Indicates the direction to apply sort key for response values.
            +optional

             - DESCENDING: By default, fields are sorted in descending order.
          in: query
          required: false
          schema:
            type: string
            enum:
              - DESCENDING
              - ASCENDING
            default: DESCENDING
        - name: org
          description: Optional, org filter applied to list project requests.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminProjects'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    adminProjects:
      type: object
      properties:
        projects:
          type: array
          items:
            $ref: '#/components/schemas/adminProject'
        token:
          type: string
          description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query. If there are no more results, this value will be empty.
      title: |-
        Represents a list of projects.
        See :ref:`ref_flyteidl.admin.Project` for more details
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    adminProject:
      type: object
      properties:
        id:
          type: string
          description: Globally unique project name.
        name:
          type: string
          description: Display name.
        domains:
          type: array
          items:
            $ref: '#/components/schemas/adminDomain'
        description:
          type: string
        labels:
          $ref: '#/components/schemas/adminLabels'
        state:
          $ref: '#/components/schemas/ProjectProjectState'
        org:
          type: string
          description: Optional, org key applied to the resource.
      description: >-
        Top-level namespace used to classify different entities like workflows
        and executions.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    adminDomain:
      type: object
      properties:
        id:
          type: string
          description: Globally unique domain name.
        name:
          type: string
          description: Display name.
      description: >-
        Namespace within a project commonly used to differentiate between
        different service instances.

        e.g. "production", "development", etc.
    adminLabels:
      type: object
      properties:
        values:
          type: object
          additionalProperties:
            type: string
          description: Map of custom labels to be applied to the execution resource.
      description: >-
        Label values to be applied to an execution resource.

        In the future a mode (e.g. OVERRIDE, APPEND, etc) can be defined

        to specify how to merge labels defined at registration and execution
        time.
    ProjectProjectState:
      type: string
      enum:
        - ACTIVE
        - ARCHIVED
        - SYSTEM_GENERATED
        - SYSTEM_ARCHIVED
      default: ACTIVE
      description: >-
        The state of the project is used to control its visibility in the UI and
        validity.

         - ACTIVE: By default, all projects are considered active.
         - ARCHIVED: Archived projects are no longer visible in the UI and no longer valid.
         - SYSTEM_GENERATED: System generated projects that aren't explicitly created or managed by a user.
         - SYSTEM_ARCHIVED: System archived projects that aren't explicitly archived by a user.

````